Last Comment Bug 762366 - Refactor omx plugin's ReadVideo method
: Refactor omx plugin's ReadVideo method
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla16
Assigned To: cajbir (:cajbir)
:
: Maire Reavy [:mreavy]
Mentors:
Depends on: 761762
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 22:03 PDT by cajbir (:cajbir)
Modified: 2012-06-08 04:38 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Refactored method (3.92 KB, patch)
2012-06-07 16:52 PDT, cajbir (:cajbir)
edwin.bugs: review+
Details | Diff | Splinter Review

Description cajbir (:cajbir) 2012-06-06 22:03:41 PDT
The ReadVideo method of OMXPlugin uses an infinite 'for' loop with conditionals to break or continue. This makes the control flow hard to follow and should be refactored so the infinite loop is not needed.
Comment 1 cajbir (:cajbir) 2012-06-07 16:52:48 PDT
Created attachment 631217 [details] [diff] [review]
Refactored method
Comment 2 cajbir (:cajbir) 2012-06-07 19:29:07 PDT
Needs bug 761762 landed first, waiting for that to be ready before checkin-needed on this.
Comment 4 Graeme McCutcheon [:graememcc] 2012-06-08 04:17:57 PDT
https://hg.mozilla.org/mozilla-central/rev/2fd06ff2ed50

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.